{
  "schema_version": "1.4.0",
  "id": "GHSA-wj5r-56c5-9mfh",
  "modified": "2022-05-17T00:36:17Z",
  "published": "2022-05-17T00:36:17Z",
  "aliases": [
    "CVE-2015-1474"
  ],
  "details": "Multiple integer overflows in the GraphicBuffer::unflatten function in platform/frameworks/native/libs/ui/GraphicBuffer.cpp in Android through 5.0 allow attackers to gain privileges or cause a denial of service (memory corruption) via vectors that trigger a large number of (1) file descriptors or (2) integer values.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-1474"
    },
    {
      "type": "WEB",
      "url": "https://android.googlesource.com/platform/frameworks/native/+/38803268570f90e97452cd9a30ac831661829091"
    },
    {
      "type": "WEB",
      "url": "https://www.blackhat.com/docs/us-15/materials/us-15-Gong-Fuzzing-Android-System-Services-By-Binder-Call-To-Escalate-Privilege.pdf"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/130778/Google-Android-Integer-Oveflow-Heap-Corruption.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2015/Mar/63"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/72788"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1031875"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2015-02-16T00:59:00Z"
  }
}